cURL
curl --request GET \
--url https://api.paxos.com/v2/travelrule/vasps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/travelrule/vasps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/travelrule/vasps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "8e4b1c2d-9a3f-4e6b-b1d7-2c5a8f0e3b94",
"name": "OKX"
},
{
"id": "3d9a7c61-5e2b-48f0-9c4a-1b6e7d2f8a05",
"name": "Robinhood (US)"
}
],
"next_page_cursor": "Cg5Sb2Jpbmhvb2QgKFVTKQ"
}VASPs for Travel Rule
List VASPs
GET
/
travelrule
/
vasps
cURL
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
Optionally filter by the vasps' IDs.
Number of results to return. Defaults to 100 if no limit is provided.
Determines whether the items are returned in ascending (ASC), or descending (DESC) order.
Available options:
DESC, ASC The specific method by which the returned results will be ordered.
Available options:
NAME Optional: Cursor for getting the next page of results. When the number of items returned is fewer than the limit, there is currently no next page.
Optional: case-insensitive prefix match on the VASP name, for type-ahead lookup.
Was this page helpful?